package com.example.groracle.Brokers;

import java.io.IOException;
/**
 * Class for uploading files to a host
 * @author tdosek
 * @version 1.0
 */
public class CommonFileUploadBroker {
    String sourcePath = null;
    String destPath = null;
    String hostIP = null;
    /**
     * Constructor of class CommonFileUploadBroker
     * @param sourcePath Path to source file
     * @param hostIP IP address of the destination host
     * @param destPath Destination file path
     */
    public CommonFileUploadBroker(String sourcePath, String hostIP, String destPath){
	this.sourcePath = sourcePath;
	this.destPath = destPath;
	this.hostIP = hostIP;
    }
    /**
     * Method for execution of the upload
     */
    public void uploadFile(){
	String command = "scp "+sourcePath+" groracle@"+hostIP+":"+destPath;
	try {
	    Runtime.getRuntime().exec(new String[] {"/usr/bin/bash", "-c", command});
	} catch (IOException e) {
	    System.out.println("Execution of scp command failed");
	    e.printStackTrace();
	}
    }

}
